Vanilla Xmonad distribution

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Vanilla Xmonad distribution

Alexander Genaud
Thanks for all the suggestions. Having had great success with
Gnome2-fallback in the past, I decided to try Mate out again with the
latest xmonad-contrib (is that what everyone means by latest xmonad from
darcs?).

I started with a fresh install of Linux Mint 17.1 with Mate, updated, etc.
I installed xmonad and cabal-install. I was not able to install
xmonad-contrib (command line details below). Any suggestions?

Additionally, I have the most basic xmonad.hs file, yet cannot re-compile
(Could not find package 'XMonad'). The xmonad-contrib is not available via
Mint's apt-get.

Mint's xmonad.desktop file is nearly identical to the config described
here: https://wiki.haskell.org/Xmonad/Using_xmonad_in_MATE . However, the
dconf suggestion does not work. Selecting 'Xmonad' from the GUI Login
displays the GHC/xmonad --recompile error again and otherwise presents a
blank xmonad session. I have no terminal, probably because I cannot compile
'terminal = "mate-terminal"' in xmonad.hs. Alt-Shift-Q works: logout.
Selecting 'gnome-xmonad.desktop' is equally useless (though technically
working).


> Sorry, but could you describe exactly what are the problems you
encountered?

With XFCE, I was able to get a semi-working system from a freshly installed
Xubuntu. In a vanilla XFCE session, 'xmonad --replace' from the command
line seems to work. But I could not start a fresh session with Xmonad. At
best, the panel would not display (although it was running) and there would
be a blank/transparent tile. I removed most Mate keyboard shortcuts, yet
Meta-Shift-Return only sometimes opened a terminal.

I was not able to get Cinnamon to work at all -- I don't recall the
specific issues.

I don't recall my earlier issues with Mint/Mate, but I've described several
issues above and some command line details below.



# apt-get install xmonad cabal-install

# xmonad --version
xmonad 0.11

# cabal --version
cabal-install version 1.16.0.2
using version 1.16.0 of the Cabal library

# cabal install xmonad-contrib
Resolving dependencies...
Configuring X11-1.6.1.2...
...etc...
checking X11/extensions/Xinerama.h usability... no
checking X11/extensions/Xinerama.h presence... no
checking for X11/extensions/Xinerama.h... no
WARNING: Xinerama headers not found. Building without Xinerama support
checking X11/extensions/Xrandr.h usability... no
checking X11/extensions/Xrandr.h presence... no
checking for X11/extensions/Xrandr.h... no
configure: error: X11/extensions/Xrandr.h (from libXrandr) is required
Failed to install X11-1.6.1.2
cabal: Error: some packages failed to install:
X11-1.6.1.2 failed during the configure step. The exception was:
ExitFailure 1
X11-xft-0.3.1 depends on X11-1.6.1.2 which failed to install.
xmonad-0.11 depends on X11-1.6.1.2 which failed to install.
xmonad-contrib-0.11.3 depends on X11-1.6.1.2 which failed to install.

The following did not help
# apt-get install xorg xinerama, libXrandr, X11-utils, etc

# Xorg -version
X.Org X Server 1.15.1
Release Date: 2014-04-13


$ cat xmonad.hs
import XMonad
main = xmonad defaultConfig { modMask = mod4Mask }


$ xmonad --recompile; cat xmonad.errors
xmonad.hs:1:8
Could not find module 'XMonad'
... etc ...


# apt-get install dconf-cli
$ dconf read /org/mate/session/required-components/windowmanager
(nothing)

$ dconf write /org/mate/session/required-components/windowmanager xmonad
error: 0-6:unknown keyword
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/xmonad/attachments/20150301/4983b74f/attachment.html>

Reply | Threaded
Open this post in threaded view
|

Vanilla Xmonad distribution

Carlos López Camey
Hi Alexander, latest xmonad is version is 0.12 which was released quite a
while ago, it's strange Mint didn't pick the latest.

Can you try installing xmonad-contrib as follows? I found this in here:
http://xmonad.org/intro.html

     cabal install xmonad-contrib --flags="-use_xft"

If that fails.. try to install X11 with cabal and not with apt-get
(cabal install X11 --flags="-use_xft").

I would recommend compiling xmonad from source with cabal to get xmonad
0.12, you need darcs for that (just execute "cabal install darcs"). Then
you would use darcs to get the sources like this:

     darcs get http://code.haskell.org/xmonad
     darcs get http://code.haskell.org/XMonadContrib

When you want to compile the downloaded sources, you just execute "cabal
install" inside each of the folders (first xmonad and then XMonadContrib).

I also tried to run xmonad with Cinnamon once but they have their own
window manager, it seems it's coupled with the desktop environment. I asked
if there were efforts to separate the WM like a year ago but got no
response from the authors.


2015-03-01 8:45 GMT-06:00 Alexander Genaud <alex at genaud.net>:

> Thanks for all the suggestions. Having had great success with
> Gnome2-fallback in the past, I decided to try Mate out again with the
> latest xmonad-contrib (is that what everyone means by latest xmonad from
> darcs?).
>
> I started with a fresh install of Linux Mint 17.1 with Mate, updated, etc.
> I installed xmonad and cabal-install. I was not able to install
> xmonad-contrib (command line details below). Any suggestions?
>
> Additionally, I have the most basic xmonad.hs file, yet cannot re-compile
> (Could not find package 'XMonad'). The xmonad-contrib is not available via
> Mint's apt-get.
>
> Mint's xmonad.desktop file is nearly identical to the config described
> here: https://wiki.haskell.org/Xmonad/Using_xmonad_in_MATE . However, the
> dconf suggestion does not work. Selecting 'Xmonad' from the GUI Login
> displays the GHC/xmonad --recompile error again and otherwise presents a
> blank xmonad session. I have no terminal, probably because I cannot compile
> 'terminal = "mate-terminal"' in xmonad.hs. Alt-Shift-Q works: logout.
> Selecting 'gnome-xmonad.desktop' is equally useless (though technically
> working).
>
>
> > Sorry, but could you describe exactly what are the problems you
> encountered?
>
> With XFCE, I was able to get a semi-working system from a freshly
> installed Xubuntu. In a vanilla XFCE session, 'xmonad --replace' from the
> command line seems to work. But I could not start a fresh session with
> Xmonad. At best, the panel would not display (although it was running) and
> there would be a blank/transparent tile. I removed most Mate keyboard
> shortcuts, yet Meta-Shift-Return only sometimes opened a terminal.
>
> I was not able to get Cinnamon to work at all -- I don't recall the
> specific issues.
>
> I don't recall my earlier issues with Mint/Mate, but I've described
> several issues above and some command line details below.
>
>
>
> # apt-get install xmonad cabal-install
>
> # xmonad --version
> xmonad 0.11
>
> # cabal --version
> cabal-install version 1.16.0.2
> using version 1.16.0 of the Cabal library
>
> # cabal install xmonad-contrib
> Resolving dependencies...
> Configuring X11-1.6.1.2...
> ...etc...
> checking X11/extensions/Xinerama.h usability... no
> checking X11/extensions/Xinerama.h presence... no
> checking for X11/extensions/Xinerama.h... no
> WARNING: Xinerama headers not found. Building without Xinerama support
> checking X11/extensions/Xrandr.h usability... no
> checking X11/extensions/Xrandr.h presence... no
> checking for X11/extensions/Xrandr.h... no
> configure: error: X11/extensions/Xrandr.h (from libXrandr) is required
> Failed to install X11-1.6.1.2
> cabal: Error: some packages failed to install:
> X11-1.6.1.2 failed during the configure step. The exception was:
> ExitFailure 1
> X11-xft-0.3.1 depends on X11-1.6.1.2 which failed to install.
> xmonad-0.11 depends on X11-1.6.1.2 which failed to install.
> xmonad-contrib-0.11.3 depends on X11-1.6.1.2 which failed to install.
>
> The following did not help
> # apt-get install xorg xinerama, libXrandr, X11-utils, etc
>
> # Xorg -version
> X.Org X Server 1.15.1
> Release Date: 2014-04-13
>
>
> $ cat xmonad.hs
> import XMonad
> main = xmonad defaultConfig { modMask = mod4Mask }
>
>
> $ xmonad --recompile; cat xmonad.errors
> xmonad.hs:1:8
> Could not find module 'XMonad'
> ... etc ...
>
>
> # apt-get install dconf-cli
> $ dconf read /org/mate/session/required-components/windowmanager
> (nothing)
>
> $ dconf write /org/mate/session/required-components/windowmanager xmonad
> error: 0-6:unknown keyword
>
>
>
>
> _______________________________________________
> xmonad mailing list
> xmonad at haskell.org
> http://mail.haskell.org/cgi-bin/mailman/listinfo/xmonad
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/xmonad/attachments/20150301/16a1612b/attachment.html>

Reply | Threaded
Open this post in threaded view
|

Vanilla Xmonad distribution

Brandon Allbery
On Sun, Mar 1, 2015 at 10:43 AM, Carlos L?pez-Camey <c.lopez at kmels.net>
wrote:

> I also tried to run xmonad with Cinnamon once but they have their own
> window manager, it seems it's coupled with the desktop environment. I asked
> if there were efforts to separate the WM like a year ago but got no
> response from the authors.


It can't be separated.

--
brandon s allbery kf8nh                               sine nomine associates
allbery.b at gmail.com                                  ballbery at sinenomine.net
unix, openafs, kerberos, infrastructure, xmonad        http://sinenomine.net
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/xmonad/attachments/20150301/64e5496d/attachment.html>

Reply | Threaded
Open this post in threaded view
|

Vanilla Xmonad distribution

Brandon Allbery
In reply to this post by Carlos López Camey
On Sun, Mar 1, 2015 at 10:43 AM, Carlos L?pez-Camey <c.lopez at kmels.net>
wrote:

> Hi Alexander, latest xmonad is version is 0.12 which was released quite a
> while ago, it's strange Mint didn't pick the latest.


Um, no. 0.11 is latest; 0.12 is unreleased darcs version (admittedly we're
overdue for a release...).

--
brandon s allbery kf8nh                               sine nomine associates
allbery.b at gmail.com                                  ballbery at sinenomine.net
unix, openafs, kerberos, infrastructure, xmonad        http://sinenomine.net
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/xmonad/attachments/20150301/05f97eed/attachment.html>

Reply | Threaded
Open this post in threaded view
|

Vanilla Xmonad distribution

Daniel Wagner-4
In reply to this post by Alexander Genaud
On Sun, Mar 1, 2015 at 6:45 AM, Alexander Genaud <alex at genaud.net> wrote:

> # cabal install xmonad-contrib
> Resolving dependencies...
> Configuring X11-1.6.1.2...
> ...etc...
> checking X11/extensions/Xinerama.h usability... no
> checking X11/extensions/Xinerama.h presence... no
> checking for X11/extensions/Xinerama.h... no
> WARNING: Xinerama headers not found. Building without Xinerama support
> checking X11/extensions/Xrandr.h usability... no
> checking X11/extensions/Xrandr.h presence... no
> checking for X11/extensions/Xrandr.h... no
> configure: error: X11/extensions/Xrandr.h (from libXrandr) is required
> Failed to install X11-1.6.1.2
> cabal: Error: some packages failed to install:
> X11-1.6.1.2 failed during the configure step. The exception was:
> ExitFailure 1
>

You will need the development version of that library installed. In
Debian-alikes, the development versions of library packages have names
ending with -dev.

~d
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/xmonad/attachments/20150308/e53e84cf/attachment.html>